HP MediaSmart Server 2.5 Software Update is live

by Alex Kuretz on April 22, 2009 · 8 comments

in News

The recently announced 2.5 Software Update for the EX485 and EX487 servers appears to just have been released by HP, with the first forum users reporting that they have received the download and are beginning to try the new features.

2.5 Software Update package found

2.5 Software Update package found

I’m in the process of downloading the update, and already have a review prepared that I will be releasing shortly. Thanks to forum member “glide” for being the first to spot the update!





Article by

I'm Alex Kuretz, and I'm the founder of MediaSmartServer.net. I was the Lead Test and Integration Engineer at HP for the MediaSmart Server until April 2008 when I moved on to other opportunities outside HP. I've kept active in the Windows Home Server community, creating several add-ins and helping users make the most of their Home Servers.


{ 8 comments }

t-bone April 22, 2009 at 1:25 pm

Hurray!!! oh wait not my update…. Sad face. Ha-Ha!!!

Marcos April 22, 2009 at 2:26 pm

Thanks Alex! I just got my update!

Joe Luna February 23, 2010 at 10:57 am

I currently have a HP MediaSmart Server ex487 with Windows Home Server on it. I’m getting that Network Health is critical message due to it not able to download Windows Home Server updates from Windows website. I already shutdown and restarted but I still get same message. The server has Avast AV as the add-in but no other firewalls under Add-Ins–>Installed Tab. Does this device have a default firewall on it? If so where is it where I can configure it?

Alex Kuretz February 23, 2010 at 11:08 am

Joe, I’ve not heard of that issue, I’ll ask you to post in the forums so that we can get a screenshot of the error and help you work through the troubleshooting scenarios.

Angelo December 27, 2012 at 10:07 pm

Hi Alex i have Hp mediasmartserver version 1.3.8.25155. I would like to upgrade to a higher level. what do you recommend i update it to. When i tried to update it to version 2.5 it said i need to have 2.1 to go to 2.5. Any help would be appreciated.

Angelo

Angelo December 27, 2012 at 10:09 pm

BTW my HP mediasmart server is EX490/495 version.

Alex Kuretz December 28, 2012 at 10:36 am

The EX49x servers have 3.0 version of software, since you’re running 1.3.8 you must have an EX47x server. The 3.0 software update was only available via HP and I don’t believe they are selling it anymore.

Angelo December 28, 2012 at 5:13 pm

Alex i have that version but i do have an ex49x server. Mine is a couple of years old so it never came with the 3.0 software. is there a place i can get a copy of it to upgrade it to 3.0.

Comments are closed, visit the forums to continue the discussion.

Previous post:

Next post: